Page 1 of 1

Non-compatible profile

Posted: Tue Mar 13, 2018 4:59
by TheBigDustin
Hello! I've been loving my MCG Pro ever since I got it. Recently I've picked up Falcon BMS and decided to swap my MCG out for my Warthog grip (the A10 and F16 share the same grip). Having that extra hat on the Warthog grip really helps out and the mini-stick is less useful in this specific instance.

Here's my dilemma. I swapped my MCG Pro for my Warthog. I tried to load my last working Warthog profile (BB_GF-TM(1_85_2)0_79_99.cfg and I'm greeted with a message saying "Non-compatible profile." I've tried everything I can think of. I cant get it to load the profile. I'm currently running VKBDevCfg-C with firmware 1.92.1.


I was able to get my warthog profile to load by flashing the firmware to an older version, specifically 1.91.7, 1.97.E Is not compatible also. Is this what I'm going to have to do in the future if I want to swap grips? Is there a way to make a new profile on the newer firmware so I dont have to flash to the older version?

Thanks in advance.

Re: Non-compatible profile

Posted: Tue Mar 13, 2018 17:50
by rrohde
Whenever you change out a grip, you need to flash the Gunfighter's BlackBox to support that grip, else the software "thinks" the swapped out grip is still installed.

However, have you tried to reset the BlackBox to default? From the Tools tab click "Default", and the BlackBox will reboot. From there, you should be able to a) calibrate, and b) install the TMW profile.

Re: Non-compatible profile

Posted: Thu Mar 15, 2018 4:05
by TheBigDustin
Yes, I reset everything to default. Tried calibrating. The Works. I just get an error "Non-Compatible Profile."

To be clear. If I flash the firmware to an older version (1.91.7), the Warthog profile works. If I'm using the newest version (1.92.1) It doesn't work. I would like to not have to flash the firmware every time I swap grips.

Edit: I tried the KG-12 grip also, it suffers for the same problem. The profile is "non-compatible" unless I flash the firmware to an older version.